<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_9a1d01ea56101db475" . "f6e198f06a4f9d" => base64_decode("c3Fsc3" . "J2X2Zy" . "ZWVfc3" . "RtdA=="), "_d64c6254864cf96656eabcea4c4" . "8fe51" => base64_decode("c3Fsc" . "3J2X2" . "hhc19" . "yb3dz"), "_020048b1b65987544bdb5f9afa69" . "2a0f" => base64_decode("TnVtUm93c" . "yBpcyBub3" . "Qgc3VwcG9" . "ydGVk"), "_78aadcc2e" . "8dfecef37e" . "1fe6d5ffbc" . "dbb" => base64_decode("c3Fsc3J2X2Z" . "ldGNoX2Fycm" . "F5"), "_a591754a8ddcdbda9c80f1db4d9" . "11e14" => base64_decode("aXN" . "fbn" . "Vsb" . "A=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_78aadcc2e8dfecef37e1f" . "e6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_78aadcc2e8dfec" . "ef37e1fe6d5ffbc" . "dbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_020048b1b65987544bdb" . "5f9afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a591754a8ddcdbda" . "9c80f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d64c6254864cf96656eabcea4c48f" . "e51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_9a1d01e" . "a56101db" . "475f6e19" . "8f06a4f9" . "d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}